## org.eclipse.emf.ecore.xml.namespace
Enum SpaceType

    java.lang.Object
      java.lang.Enum<SpaceType>
          org.eclipse.emf.ecore.xml.namespace.SpaceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SpaceType>, Enumerator

    public enum SpaceType

extends java.lang.Enum<SpaceType>
implements Enumerator

A representation of the literals of the enumeration 'Space Type', and utility methods for working with them.

See Also:
  `XMLNamespacePackage.getSpaceType()`

Enum Constant Summary
`DEFAULT_LITERAL` The 'Default' literal object
`PRESERVE_LITERAL` The 'Preserve' literal object

Field Summary
`static int` `DEFAULT` The 'Default' literal value
`static int` `PRESERVE` The 'Preserve' literal value
`static java.util.List<SpaceType>` `VALUES` A public read-only list of all the 'Space Type' enumerators

Method Summary
`static SpaceType` `get(int value)` Returns the 'Space Type' literal with the specified integer value
`static SpaceType` `get(java.lang.String literal)` Returns the 'Space Type' literal with the specified literal value
`static SpaceType` `getByName(java.lang.String name)` Returns the 'Space Type' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static SpaceType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SpaceType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT_LITERAL

    public static final SpaceType DEFAULT_LITERAL

  The 'Default' literal object.

  See Also:
    `DEFAULT`

### PRESERVE_LITERAL

    public static final SpaceType PRESERVE_LITERAL

  The 'Preserve' literal object.

  See Also:
    `PRESERVE`

Field Detail

### DEFAULT

    public static final int DEFAULT

  The 'Default' literal value.

  See Also:
    `DEFAULT_LITERAL`, Constant Field Values

### PRESERVE

    public static final int PRESERVE

  The 'Preserve' literal value.

  See Also:
    `PRESERVE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<SpaceType> VALUES

  A public read-only list of all the 'Space Type' enumerators.

Method Detail

### values

    public static final SpaceType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SpaceType c : SpaceType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SpaceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static SpaceType get(java.lang.String literal)

  Returns the 'Space Type' literal with the specified literal value.

### getByName

    public static SpaceType getByName(java.lang.String name)

  Returns the 'Space Type' literal with the specified name.

### get

    public static SpaceType get(int value)

  Returns the 'Space Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SpaceType>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.